[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomControlBar.PictureChanged

Redraws the image on the control bar when the Picture property has been changed.

## Declaration

Source position: extctrls.pp line 1645

`protected procedure TCustomControlBar.PictureChanged(`
`Sender: TObject`
`);`

## Arguments

`Sender` |  | Object (TPicture) for the event notification.

## Description

PictureChanged is assigned as the OnChange event handler for the Picture property in the Create constructor. It calls the Invalidate method when the internal update counter for the control reaches 0.

## See also

TCustomControlBar.Create |  | Constructor for the class instance.
TCustomControlBar.Picture |  | Optional image drawn before the visible bands for the control bar.
TPicture.OnChange |  | OnChange - Event handler for any change in the picture.